<!-- Use any element to open the sidenav -->

<div id="mapid" class="sidebar-map"></div>


<script type="text/javascript">
	mymap = L.map('mapid').setView([47.3904,0.6894], 13);

	L.tileLayer('http://{s}.tile.openstreetmap.org/{z}/{x}/{y}.png', {
		attribution: 'Map data &copy; <a href="http://openstreetmap.org">OpenStreetMap</a> contributors, <a href="http://creativecommons.org/licenses/by-sa/2.0/">CC-BY-SA</a>',
		maxZoom: 18,
	}).addTo(mymap);

	mymap.zoomControl.setPosition('topright');

	var ourCustomControl = L.Control.extend({
	  options: {
		position: 'topleft'
		//control position - allowed: 'topleft', 'topright', 'bottomleft', 'bottomright'
	  },

	  onAdd: function (map) {
		/*var container = L.DomUtil.create('div', 'leaflet-bar leaflet-control leaflet-control-custom');

		container.style.backgroundColor = 'white';
		container.style.width = '30px';
		container.style.height = '30px';
		container.style.text = "Filtres";*/

		var container = L.DomUtil.create('input', 'leaflet-bar leaflet-control leaflet-control-custom');
		container.style.backgroundColor = 'white';
		container.style.fontSize="15px";
		container.type="button";
		container.value="Filtres";

		container.onclick = function(){
			openNav();
		}
		return container;
	  },
	});


	mymap.addControl(new ourCustomControl());

	//var sidebar = L.control.sidebar('sidebar').addTo(mymap);

	

</script>